<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.9                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/
class p_golosovanie extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        //   

        $this->info['plugin']           = 'p_golosovanie';
        $this->info['title']            = '    ';
        $this->info['description']      = ' ,  ,    ,      ';
        $this->info['author']           = ' ';
        $this->info['version']          = '1.0';

        // ,    

        $this->events[]                 = 'GET_ARTICLE';
        $this->events[]                 = 'GET_POST';
        $this->events[]                 = 'GET_PHOTO';
    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //
    /**
     *  
     * @param string $event
     * @param mixed $item
     * @return mixed
     */
    public function execute($event, $item){

        parent::execute();

        switch ($event){
            case 'GET_ARTICLE': $item = $this->eventGetArticle($item); break;
            case 'GET_POST': $item = $this->eventGetBlog($item); break;
            case 'GET_PHOTO': $item = $this->eventGetPhoto($item); break;
        }

        return $item;

    }

// ==================================================================== //
    private function eventGetArticle($item) {
        $item_id    = $item['id'];   

        ob_start();

        $smarty= $this->inCore->initSmarty('plugins', 'p_golosovanie.tpl');
        $smarty->assign('item_id', $item_id);
        $smarty->display('p_golosovanie.tpl');

        $html = ob_get_clean();

        $item['content'] .= $html;

        return $item;

    }

// ==================================================================== //

    private function eventGetBlog($item) {
    $item_id    = $item['id'];
    ob_start();

        $smarty= $this->inCore->initSmarty('plugins', 'p_golosovanie.tpl');
        $smarty->assign('item_id', $item_id);
        $smarty->display('p_golosovanie.tpl');

        $html = ob_get_clean();

        $item['content'] .= $html;

        return $item;
    }

// ==================================================================== //

    private function eventGetPhoto($item) {
    $item_id    = $item['id'];
    ob_start();

        $smarty= $this->inCore->initSmarty('plugins', 'p_golosovanie.tpl');
        $smarty->assign('item_id', $item_id);
        $smarty->display('p_golosovanie.tpl');

        $html = ob_get_clean();

        $item['content_html'] .= $html;

        return $item;
    }

}

?>
